[SM-Commit] GIT changes to master grimoire by Pol Vinogradov (0fe478dea74b8ff2e1ab50206357f11fb2a6caba)

Pol Vinogradov scm at sourcemage.org
Wed Dec 23 11:01:35 EST 2009


GIT changes to master grimoire by Pol Vinogradov <vin.public at gmail.com>:

 utils/watchdog/DETAILS         |    1 +
 utils/watchdog/HISTORY         |    4 ++++
 utils/watchdog/init.d/watchdog |    5 +----
 3 files changed, 6 insertions(+), 4 deletions(-)

New commits:
commit 0fe478dea74b8ff2e1ab50206357f11fb2a6caba
Author: Pol Vinogradov <vin.public at gmail.com>
Commit: Pol Vinogradov <vin.public at gmail.com>

    utils/watchdog: removed symlinks creation and temperature device test

diff --git a/utils/watchdog/DETAILS b/utils/watchdog/DETAILS
index 3438dbe..6802ff2 100755
--- a/utils/watchdog/DETAILS
+++ b/utils/watchdog/DETAILS
@@ -11,6 +11,7 @@ SOURCE_DIRECTORY=$BUILD_DIRECTORY/$SPELL-$VERSION
       LICENSE[0]=GPL
         WEB_SITE=http://www.gnu.org/directory/System_administration/monitor/watchdog.html
          ENTERED=20030731
+      PATCHLEVEL=1
         KEYWORDS="utils"
            SHORT="A software watchdog daemon"
 cat << EOF
diff --git a/utils/watchdog/HISTORY b/utils/watchdog/HISTORY
index c883ef3..da1a3c5 100644
--- a/utils/watchdog/HISTORY
+++ b/utils/watchdog/HISTORY
@@ -1,3 +1,7 @@
+2009-12-22 Pol Vinogradov <vin.public at gmail.com>
+	* DETAILS: PATCHLEVEL++
+	* init.d/watchdog: removed symlinks creation and temperature device test
+
 2007-10-23 Pol Vinogradov <vin.public at gmail.com>
 	* DETAILS: updated to 5.4
 	* BUILD, watchdog-gcc33.patch: removed, not needed anymore
diff --git a/utils/watchdog/init.d/watchdog b/utils/watchdog/init.d/watchdog
index e1de559..1e2b126 100644
--- a/utils/watchdog/init.d/watchdog
+++ b/utils/watchdog/init.d/watchdog
@@ -12,10 +12,7 @@ NEEDS="+remote_fs"
 start()
 {
   echo "Starting watchdog..."
-  if [ -e /dev/misc/watchdog ] || [ -e /dev/misc/temperature ]; then
-    [ -e /dev/watchdog ]    || ln -sf $DEVICES/misc/watchdog    /dev/watchdog
-    [ -e /dev/temperature ] || ln -sf $DEVICES/misc/temperature /dev/temperature
-  else
+  if ! [ -e /dev/watchdog ] ; then
     echo "No watchdog support in the kernel!"
     exit 5
   fi



More information about the SM-Commit mailing list